describe('Habitica', function () {
    it('Visits habitica and logins correctly', function () {
        cy.visit('https://habitica.com/login')
        cy.get('form').find('input[id="usernameInput"]').click().type("KND-Testing")
        cy.get('form').find('input[id="passwordInput"]').click().type("Habbo123")
        cy.get('.btn-info').click()
        cy.wait(3000)
        cy.screenshot('habitica')
    })
    it('Closes Bailey', () =>{
        cy.wait(1000)
        cy.get('.modal-footer').find('button[class = "btn btn-warning"]').click()
    })
    it('Closes Start Day', () =>{
        cy.get('.start-day').find('button').click({ force: true })
    })
    it('Creates an habit correctly', function () {
        cy.get('.create-btn').click()
        cy.get('.create-task-btn').find('.icon-habit').click()
        cy.get('.title-input').click().type('This is a test (Habit)')
        cy.get('.modal-footer').find('button').click()
        cy.contains('This is a test (Habit)')
        cy.wait(3000)
        cy.screenshot('crearHabito')
    })
    it('Modifies an habit correctly', function () {
        cy.contains('This is a test (Habit)').click()
        cy.get('.title-input').click().clear().type('This is not a test (Habit)')
        cy.get('.modal-footer').find('button').click()
        cy.contains('This is not a test (Habit)')
        cy.wait(3000)
        cy.screenshot('modificarHabito')
    })
    it('Deletes an habit correctly', function () {
        cy.contains('This is not a test (Habit)').click()
        cy.get('.delete-task-btn').click()
        cy.wait(3000)
        cy.screenshot('eliminarHabito')
    })

    it('Creates a daily correctly', function () {
        cy.get('.create-btn').click()
        cy.get('.create-task-btn').find('.icon-daily').click()
        cy.get('.title-input').click().type('This is a test (daily)')
        cy.get('.modal-footer').find('button').click()
        cy.contains('This is a test (daily)')
        cy.wait(3000)
        cy.screenshot('crearDaily')
    })
    it('Modifies a daily correctly', function () {
        cy.contains('This is a test (daily)').click()
        cy.get('.title-input').click().clear().type('This is not a test (daily)')
        cy.get('.modal-footer').find('button').click()
        cy.contains('This is not a test (daily)')
        cy.wait(3000)
        cy.screenshot('modificarDaily')
    })
    it('Deletes a daily correctly', function () {
        cy.contains('This is not a test (daily)').click()
        cy.get('.delete-task-btn').click()
        cy.wait(3000)
        cy.screenshot('eliminarDaily')
    })

    it('Creates a todo correctly', function () {
        cy.get('.create-btn').click()
        cy.get('.create-task-btn').find('.icon-todo').click()
        cy.get('.title-input').click().type('This is a test (todo)')
        cy.get('.modal-footer').find('button').click()
        cy.contains('This is a test (todo)')
        cy.wait(3000)
        cy.screenshot('crearTODO')
    })
    it('Modifies a todo correctly', function () {
        cy.contains('This is a test (todo)').click()
        cy.get('.title-input').click().clear().type('This is not a test (todo)')
        cy.get('.modal-footer').find('button').click()
        cy.contains('This is not a test (todo)')
        cy.wait(3000)
        cy.screenshot('modificarTODO')
    })
    it('Deletes a task correctly', function () {
        cy.contains('This is not a test (todo)').click()
        cy.get('.delete-task-btn').click()
        cy.wait(3000)
        cy.screenshot('eliminarTODO')
    })
})